libdvbv5: dvb_table_pmt_stream Struct Reference

libdvbv5 1.28.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_table_pmt_stream Struct Reference
Digital TV table parsing

MPEG-TS PMT stream table. More...

`#include <pmt.h>`

## Data Fields
uint8_t | type
union { |
uint16_t bitfield |
struct { |
uint16_t elementary_pid:13 |
uint16_t reserved:3 |
} |  |
}; |  |
union { |
uint16_t bitfield2 |
struct { |
uint16_t desc_length:10 |
uint16_t zero:2 |
uint16_t reserved2:4 |
} |  |
}; |  |
struct dvb_desc * | descriptor
struct dvb_table_pmt_stream * | next

## Detailed Description

MPEG-TS PMT stream table.

Parameters

  type | stream type
  elementary_pid | elementary pid
  desc_length | descriptor length
  zero | zero
  descriptor | pointer to struct dvb_desc
  next | pointer to struct dvb_table_pmt_stream

This structure is used to store the original PMT stream table, converting the integer fields to the CPU endianness.

The undocumented parameters are used only internally by the API and/or are fields that are reserved. They shouldn't be used, as they may change on future API releases.

Everything after dvb_table_pmt_stream::descriptor (including it) won't be bit-mapped to the data parsed from the MPEG TS. So, metadata are added there.

Definition at line 166 of file pmt.h.

## Field Documentation

## ◆ [union]

union { ... } dvb_table_pmt_stream

## ◆ [union]

union { ... } dvb_table_pmt_stream

## ◆ bitfield

uint16_t dvb_table_pmt_stream::bitfield

Definition at line 169 of file pmt.h.

## ◆ bitfield2

uint16_t dvb_table_pmt_stream::bitfield2

Definition at line 176 of file pmt.h.

## ◆ desc_length

uint16_t dvb_table_pmt_stream::desc_length

Definition at line 178 of file pmt.h.

## ◆ descriptor

struct dvb_desc* dvb_table_pmt_stream::descriptor

Definition at line 183 of file pmt.h.

## ◆ elementary_pid

uint16_t dvb_table_pmt_stream::elementary_pid

Definition at line 171 of file pmt.h.

## ◆ next

struct dvb_table_pmt_stream* dvb_table_pmt_stream::next

Definition at line 184 of file pmt.h.

## ◆ reserved

uint16_t dvb_table_pmt_stream::reserved

Definition at line 172 of file pmt.h.

## ◆ reserved2

uint16_t dvb_table_pmt_stream::reserved2

Definition at line 180 of file pmt.h.

## ◆ type

uint8_t dvb_table_pmt_stream::type

Definition at line 167 of file pmt.h.

## ◆ zero

uint16_t dvb_table_pmt_stream::zero

Definition at line 179 of file pmt.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/pmt.h